> For the complete documentation index, see [llms.txt](https://docs.dialogform.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dialogform.in/user-guide/adding-a-webhook-for-notifications.md).

# Adding a Webhook for notifications

{% hint style="info" %}

### This feature is still under construction

We are working on a set of API endpoints where you will be able to use the notification data sent to your webhook to retrieve complete details of the event that occurred. This will allow you to create your own automations on top of what DialogForm offers out of the box.
{% endhint %}

## Available notifications

### 1. Chat completed

This notification is sent when a user completes a chat.

```
// The following JSON data is sent
// * `identifier` - The user identifier provided in the share link
// * `flowId` - Self explanatory
// * `score` - The user's score, if any
{
  "type": "completed",
  "data": {
    "flowId": number,
    "identifier": string,
    "score": number or null
  }
}
```

### 2. Chat deleted by admin

This notification is sent when a chat is deleted via the admin panel.

```
// The following JSON data is sent
// * `identifier` - The user identifier provided in the share link
// * `flowId` - Self explanatory
{
  "type": "deleted",
  "data": {
    "flowId": number,
    "identifier": string
  }
}
```

### 3. Admin provides some feedback on a user response

This notification is sent when feedback is provided on a user response in a chat history via the admin panel.

```
// The following JSON data is sent
// * `identifier` - The user identifier provided in the share link
// * `flowId` - Self explanatory
// * `promptName` - The particular prompt for which feedback was given
{
  "type": "feedbackUpdated",
  "data": {
    "flowId": number,
    "identifier": string,
    "promptName": string
  }
}
```

## Adding a Webhook

1. On <https://admin.dialogform.in> (on the home page), click on your account avatar on the top right, and navigate to 'Integrations' to open up the Integrations page
2. Select the 'Webhook' tab in the left panel
3. Enter a URL (including the protocol) into the input field. DialogForm will send notifications by making HTTP POST requests to this URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dialogform.in/user-guide/adding-a-webhook-for-notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
